Subject: bug#15398: 24.3; Frame redraw completely screwed

From: Jan Djärv <[email-masked]>
Date: Fri, 20 Sep 2013 08:47:19 +0200

Hello.

20 sep 2013 kl. 05:41 skrev Dmitry Antipov <[email-masked]>:

> On 09/19/2013 08:41 PM, Jan Djärv wrote:
> 
>> I don't recall all the details, but I think the comment actually means "for GTK 2.6 and newer".
> 
> Ugh. Reverted in r114402 (for visible frames; in general, I think
> that it is possible to handle Expose events a bit more intelligently).

Not as long as we do pure X-calls on Gtk-widgets.  For this case, the widget thinks that nothing has been written to it (i.e. no Gtk+ methods have been called to do so), so the expose event does not need to redraw or clear anything.  But we have  written something, but with X calls, and the widget can't know this.

	Jan D.